> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiornare i parametri delle azioni

> **Piano richiesto:** Professionale o Enterprise.

Aggiorna il valore testuale nell'azione Inserisci testo o l'URL nell'azione Vai alla pagina web.



## OpenAPI

````yaml /it/api/openapi.json post /task/updateActionProperties
openapi: 3.0.1
info:
  title: API Octoparse
  description: >-
    Octoparse OpenAPI consente di gestire le attività tramite codice, eseguire
    estrazioni cloud e recuperare i dati estratti. URL di base:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Server API Octoparse
security: []
paths:
  /task/updateActionProperties:
    post:
      tags:
        - Task
      summary: Aggiornare i parametri delle azioni
      description: >-
        **Piano richiesto:** Professionale o Enterprise.


        Aggiorna il valore testuale nell'azione Inserisci testo o l'URL
        nell'azione Vai alla pagina web.
      operationId: updateActionProperties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskId
                - actions
              properties:
                taskId:
                  type: string
                actions:
                  type: array
                  items:
                    type: object
                    properties:
                      actionType:
                        type: string
                      actionId:
                        type: string
                      properties:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
      responses:
        '200':
          description: Proprietà dell'azione aggiornate
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                  requestId:
                    type: string
      security:
        - apiKeyAuth: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Invia una chiave API Octoparse nell'header x-api-key. Crea e gestisci le
        chiavi nel centro account Octoparse. In genere, le chiavi iniziano con
        op_sk_.
    bearerAuth:
      type: http
      scheme: bearer
      description: Usa l'access_token ottenuto da POST /token

````